#ifndef MOUSE_H
#define MOUSE_H

//Mouse.h
#include "Button.h"

class Mouse: public MenuObject
{
private:

public:
	Mouse();
	
	
	bool is_doubleclick();

	void draw(BITMAP *bmp);
};

Mouse::Mouse()
{
	Set_x(mouse_x);
	Set_y(mouse_y);
	Set_w(10);
	Set_h(10);
}
void Mouse::draw(BITMAP *bmp)
{
	//show_mouse(bmp);
	Set_x( mouse_x);
	Set_y( mouse_y);
	drawRectangle(bmp,Get_x(),  Get_y(), Get_w(), Get_h(), Get_color(), 0, Get_color());
	//scare_mouse();

}
//hummmm i think this crashes
bool Mouse::is_doubleclick()//we can even put the sleep valus as ints in the fuction header for more flex
{
	if (mouse_b & 1)
	{
		Sleep(50);
		if (!(mouse_b & 1))
		{
			Sleep(50);
			if (mouse_b & 1)
			{

				return true;
		
			}
			return false;
		}
		return false;
	}
	return false;
}

#endif